bugzilla.mozilla.org will be intermittently unavailable on Saturday, March 24th, from 16:00 until 20:00 UTC.

The import utility for Netscape Communicator does not work



MailNews Core
8 years ago
8 years ago


(Reporter: Graeme Tout, Unassigned)


Firefox Tracking Flags

(Not tracked)


(Whiteboard: [support], URL)



8 years ago
User-Agent:       Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; MS-RTC LM 8; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)
Build Identifier: Thunderbird 3.1

You advertising states you can import mail from your older email programs, such as netscape communicator.

As communicator is no longer supported, I decided to install your Thuinderbird software as an alternative, on the assumption it could do as you stated, and import my existing mail from my old communicator mailbox folders.

But when I go to the import utility, and click on communicator and click next, nothing happens, it just come up with a message to say that communicator is not running. I tired installing communicator and setting it up to point to my old mail folders, and it still gave me the same message. I had expected it at least to open a dialog box where I could tell it where my communicator mail files were, but it does nothing.

I have looked through the community forums, and others have had the same issue, but no-one has responded with a solution. 

If your software cannot do what you advertise it will do, then not only are you breaking laws in most countries around the world, but you are making the product virtually worthless. If I cannot access my old mail using thunderbird, than I may as well uninstall it and just keep using the unsupported communictor software, as at least it actually works.

Reproducible: Always

Steps to Reproduce:
1. Click on Tools/Import 
2. Select Mail files, click next
3. Select Netscape 4.*, click next
4. Get error message
Actual Results:  
Nothing. Just get a message saying communicator is not on this machine.

Expected Results:  
I would be taken thriough some sort of dialog whereby I can specify where the communicator mail folders are.

Comment 1

8 years ago
No, it doesn't allow specifying the location. In addition, version 3 changed I think with regard to allowing import from NS 4.x. cc: magnus who can correct me if I am wrong. It's possible also that the error message isn't accurate.

Try import using version 2, then update version 2 to version 3.
You'll need to post in a support forum for further assistance. 
Last Resolved: 8 years ago
Component: Migration → Import
Product: Thunderbird → MailNews Core
QA Contact: migration → import
Resolution: --- → INVALID
Whiteboard: [support]
You need to log in before you can comment on or make changes to this bug.